Announcement Announcement Module
Collapse
No announcement yet.
CollectionFactory class not using Jdk 1.6 collections Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • CollectionFactory class not using Jdk 1.6 collections

    Hi,

    I'm migrating an application from Java 1.4 to Java 6. The current application runs without any issues on Java 1.4 using the JDK 1.4+ extended collections. When I switch to Java 6, the CollectionFactory uses the Commons Collection 3.0 version and the application fails with this error:

    org.springframework.beans.FatalBeanException: Could not instantiate class [commons.configuration.support.ExtensibleXmlApplica tionContext]; constructor threw exception; nested exception is java.lang.IllegalArgumentException: Initial capacity must be greater than 0
    java.lang.IllegalArgumentException: Initial capacity must be greater than 0


    Is there a way I can force CollectionFactory to use the JDK 1.6 collections instead of the CommonCollections 3.0 implementations? The spring version being used is 2.0

    Thanks.
Working...
X